<?php
/**
 * @package     corejoomla.administrator
 * @subpackage  com_communitysurveys
 *
 * @copyright   Copyright (C) 2009 - 2019 corejoomla.com. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */
defined('_JEXEC') or die();

$user 		= JFactory::getUser();
$data		= $displayData['data'];
$item		= $data->item;
$params		= $data->params;
?>
<div class="community-groups-intro"><?php echo JText::_('COM_COMMUNITYSURVEYS_INVITE_COMMUNITY_GROUPS_INTRO');?></div>

<div id="community-groups-wrapper">
	<?php if(!empty($data->jsgroups)):?>
		<?php foreach ($data->jsgroups as $group):?>
		<label class="checkbox">
			<input type="checkbox" name="jform[gid][]" value="<?php echo $group->id?>"> <?php echo $this->escape($group->name);?>
		</label>
		<?php endforeach;?>
		
		<div class="actions">
			<button id="btn-invite-registered-users" type="button" class="btn btn-primary" 
				onclick="CjSurveyApi.submitAjaxForm(this, '#inviteForm', 'invite.community', 'onBeforeInviteCommunityGroups', 'onAfterInviteCommunityGroups'); return false;">
				<?php echo JText::_('COM_COMMUNITYSURVEYS_LABEL_SEND_INVITATION');?>
			</button>
		</div>
	<?php else :?>
		<div class="alert alert-info"><?php echo JText::_('JGLOBAL_SELECT_NO_RESULTS_MATCH')?></div>
	<?php endif;?>
</div>