<?php
/**
 * @package     corejoomla.administrator
 * @subpackage  com_communitysurveys
 *
 * @copyright   Copyright (C) 2009 - 2019 corejoomla.com. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */
defined('_JEXEC') or die();

$item 				= $displayData['item'];
$free_text 			= '';
$required			= $item->mandatory ? ' required' : '';
$numCols			= 6;
$span				= 12 / $numCols;
$customAnswerPH     = $item->params->get('custom_answer_placeholder', JText::_('COM_COMMUNITYSURVEYS_ENTER_YOUR_ANSWER'));
?>
<div class="panel-body">
	<div class="answers clearfix" role="group" aria-label="<?php echo $this->escape(strip_tags($item->title));?>">
		<?php 
		$range_selection = '';
		if( $item->min_selections > 0 && $item->max_selections > 0 && $item->max_selections >= $item->min_selections )
		{
			$range_selection = ' minselect="'.$item->min_selections.'" maxselect="'.$item->max_selections.'" data-field-type="checkbox"';
		}
		else if( $item->min_selections > 0 )
		{
			$range_selection = ' minselect="'.$item->min_selections.'" data-field-type="checkbox"';
		}
		else if( $item->max_selections > 0 )
		{
			$range_selection = ' minselect=0 maxselect="'.$item->max_selections.'" data-field-type="checkbox"';
		}

		foreach ($item->answers as $i=>$answer)
		{
			$checked = false;
			$rules = '';
			foreach ($item->responses as $response)
			{
				if($answer->id == $response->answer_id)
				{
					$checked = true;
				} 
				else if(!empty($response->free_text))
				{
					$free_text = CjLibUtils::escape($response->free_text);
				}
			}
			
			if(isset($item->rule_selected[$answer->id]))
			{
				$rules = ' showitems="'.implode(',', $item->rule_selected[$answer->id]).'"';
			}
			
			if($item->orientation != 'IL')
			{
				?>
				<div class="margin-bottom-20">
					<div class="form-check abc-checkbox abc-checkbox-bs2 abc-checkbox-primary margin-bottom-10">
        				<input type="checkbox" 
        						name="answer-<?php echo $item->id;?>[]" 
        						id="answer-<?php echo $answer->id;?>"
        						value="<?php echo $answer->id?>"<?php echo $checked ? ' checked="checked"' : '';?> 
        						class="form-check-input<?php echo $required;?>"<?php echo $range_selection . $rules;?>
        						role="checkbox" 
        						aria-checked="<?php echo $checked ? 'true' : 'false';?>" 
        						aria-describedby="<?php echo $this->escape(strip_tags($answer->title));?>"
        						tabindex="0">
        				<label class="form-check-label" for="answer-<?php echo $answer->id;?>"><?php echo $this->escape($answer->title);?></label>
        			</div>
					<img src="<?php echo CS_IMAGES_URI.$answer->image?>" alt="<?php echo $this->escape($answer->title);?>">
				</div>
				<?php 
			} 
			else 
			{
				if( $i % $numCols == 0 )
				{
					?>
					<div class="row-fluid">
					<?php 
				}
				?>
				<div class="span<?php echo $span?> margin-bottom-20">
					<div class="thumbnail text-center">
						<img src="<?php echo CS_IMAGES_URI.$answer->image;?>" alt="<?php echo $this->escape($answer->title);?>">
						<div class="form-check">
            				<label class="form-check-label" for="answer-<?php echo $answer->id;?>">
            					<input type="checkbox" 
            						name="answer-<?php echo $item->id;?>[]" 
            						id="answer-<?php echo $answer->id;?>"
            						value="<?php echo $answer->id?>"<?php echo $checked ? ' checked="checked"' : '';?> 
            						class="form-check-input<?php echo $required;?> mgc mgc-primary"<?php echo $range_selection . $rules;?>
            						role="checkbox" 
            						aria-checked="<?php echo $checked ? 'true' : 'false';?>" 
            						aria-describedby="<?php echo $this->escape(strip_tags($answer->title));?>"
            						tabindex="0"> <?php echo $this->escape($answer->title);?>
            				</label>
            			</div>
					</div>
				</div>
				<?php 
				if( (($i + 1) == count($item->answers)) || ( ($i + 1) % $numCols  == 0 ) )
				{
					?>
					</div>
					<?php 
				}
			}
		}
		?>
	</div>
	<div class="row-fluid">
		<?php 
		if($item->custom_choice == 1)
		{
			?>
			<input type="text" name="free-text-<?php echo $item->id;?>" class="input-xlarge" 
				value="<?php echo $free_text;?>" placeholder="<?php echo $customAnswerPH;?>" aria-label="<?php echo $customAnswerPH;?>">
			<?php 
		}
		?>
	</div>
</div>