<?php
/**
 * @package     corejoomla.administrator
 * @subpackage  com_communitysurveys
 *
 * @copyright   Copyright (C) 2009 - 2019 corejoomla.com. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */
defined('_JEXEC') or die();

$item = $displayData['item'];

if(!empty($item->textResponses))
{
	?>
	<table style="border:1px solid grey; border-collapse:collapse;">
		<thead>
			<tr>
				<th width="25%" style="border:1px solid grey; padding: 5px;"><?php echo JText::_('JGLOBAL_USERNAME');?></th>
				<th width="75%" style="border:1px solid grey; padding: 5px;"><?php echo JText::_('COM_COMMUNITYSURVEYS_LABEL_ANSWER');?></th>
			</tr>
		</thead>
		<tbody>
			<?php 
			foreach ($item->textResponses as $response)
			{
				$parts = explode('|||', $response->free_text);
				?>
				<tr>
					<td style="border:1px solid grey; padding: 5px;text-align: left;" width="25%">
						<?php echo !empty($response->author) ? $this->escape($response->author) : JText::_('COM_COMMUNITYSURVEYS_GUEST');?>
					</td>
					<td style="border:1px solid grey; padding: 5px; text-align: left;" width="75%">
						<address class="no-margin-bottom">
							<strong><?php echo $this->escape($parts[0]);?></strong><br>
							<?php echo $this->escape($parts[1]);?>, <?php echo $this->escape($parts[2]);?><br>
							<?php echo $this->escape($parts[3]);?>, <?php echo $this->escape($parts[4]);?><br>
							<?php echo $this->escape($parts[5]);?>, <?php echo $this->escape($parts[6]);?>
						</address>
					</td>
				</tr>
				<?php 
			}
			?>
		</tbody>
	</table>
	<?php
}
else
{
	echo '<div class="panel-body">'.JText::_('COM_COMMUNITYSURVEYS_NO_ANSWER_PROVIDED').'</div>';
}
?>
