<?php
/**
 * @package     corejoomla.administrator
 * @subpackage  com_communitysurveys
 *
 * @copyright   Copyright (C) 2009 - 2019 corejoomla.com. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */
defined('_JEXEC') or die();

JHtml::addIncludePath(JPATH_COMPONENT . '/helpers');

$layout 	= $this->params->get('ui_layout');
?>
<div id="cj-wrapper" class="surveys-list<?php echo $this->pageclass_sfx;?>">
	<?php 
	echo SurveyHelper::renderLayout($layout.'.toolbar', array('params'=>$this->params, 'state'=>$this->state));
	echo CJFunctions::load_module_position('surveys-list-above-categories');
	
	if($this->params->get('list_show_search_form', 1) == 1 || $this->params->get('list_show_category_list', 1) == 1)
	{
	    echo SurveyHelper::renderLayout($layout.'.category_search_box', array('params'=>$this->params, 'state'=>$this->state));
	}
	
	echo CJFunctions::load_module_position('surveys-list-below-categories');
	
	echo SurveyHelper::renderLayout($layout.'.surveys_list', array('items'=>$this->items, 'state'=>$this->state, 
			'params'=>$this->params, 'pagination'=>$this->pagination, 'heading'=>$this->heading, 'viewName'=>$this->viewName));
	
	echo CJFunctions::load_module_position('surveys-list-below-pagination');
	?>
			
	<input type="hidden" id="cjpageid" value="survey_list">
</div>
